# Generated by Django 2.2.23 on 2021-06-03 20:05

from django.db import migrations


def delete_fs_exporters(apps, schema_editor):
    """Remove all FileFilesystemExporters to clean up exporter tables."""
    FileFilesystemExporter = apps.get_model('file', 'FileFilesystemExporter')
    FileFilesystemExporter.objects.all().delete()


class Migration(migrations.Migration):
    atomic = False

    dependencies = [
        ('file', '0011_fix_auto_publish'),
    ]

    operations = [
        migrations.RunPython(
            code=delete_fs_exporters,
            reverse_code=migrations.RunPython.noop,
        ),
        migrations.DeleteModel(
            name='FileFileSystemExporter',
        ),
    ]
